[project]
name = "stemwijzer"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "duckdb>=1.3.2",
    "ibis-framework[duckdb]>=10.8.0",
    "openai>=1.99.7",
    "scipy>=1.11",
    "umap-learn>=0.5",
    "plotly>=5.0",
    # moved pytest to development requirements
    "requests>=2.32.4",
    "schedule>=1.2.2",
    "streamlit>=1.48.0",
    "scikit-learn>=1.8.0",
    "beautifulsoup4>=4.14.3",
    "lxml>=6.0.2",
    "matplotlib>=3.8",
]

[dependency-groups]
dev = [
    "pytest>=9.0.2",
    "pyright>=1.1.408",
]
